API referenceLists

List lists

GET/lists

Authorization

apiKey
AuthorizationBearer <token>

A project API key: Authorization: Bearer s0_…

In: header

Query Parameters

limit?integer
Range1 <= value <= 100
after?string
Length1 <= length <= 64
before?string
Length1 <= length <= 64
visibility?string

Value in

  • "private"
  • "public"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/lists"
{  "object": "list",  "has_more": true,  "data": [    {      "object": "list",      "id": "string",      "name": "string",      "description": "string",      "visibility": "private",      "default_subscription": "opt_in",      "double_opt_in": true,      "subscribers_count": 0,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}